commit f47d2c8eb9db7a90dff172ba24cf746deaf32f7f
Author: jklowden <jklowden>
Date:   Wed Dec 2 22:35:16 2009 +0000

    add Microsoft db-lib error symbols

diff --git a/ChangeLog b/ChangeLog
index 6ecdf8d..a1e43d4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+Wed Dec  2 17:30:10 EST 2009	JK Lowden <jklowden@freetds.org>
+	* include/sqldb.h add Microsoft db-lib error symbols
+	* src/dblib/dblib.c 
+	- dbsqlok returns FAIL if error encountered in any DONEINPROC
+	- packet prior to returning.  Should return FAIL for
+	- RAISERROR('msg', 16,1).
+
 Sun Nov 29 21:16:19 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/getdata.c:
 	- Check error if conversion truncate data
@@ -1939,4 +1946,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2895 2009/11/29 20:16:36 freddy77 Exp $
+$Id: ChangeLog,v 1.2896 2009/12/02 22:35:16 jklowden Exp $
diff --git a/include/sqldb.h b/include/sqldb.h
index 3b64b71..f685642 100644
--- a/include/sqldb.h
+++ b/include/sqldb.h
@@ -52,6 +52,120 @@
 #define DBERRHANDLE_PROC EHANDLEFUNC 
 #define DBMSGHANDLE_PROC MHANDLEFUNC 
 
+/* DB-Library errors as defined by Microsoft */
+#define SQLEMEM		SYBEMEM
+#define SQLENULL	SYBENULL
+#define SQLENLOG	SYBENLOG
+#define SQLEPWD		SYBEPWD
+#define SQLECONN	SYBECONN
+#define SQLEDDNE	SYBEDDNE
+#define SQLENULLO	SYBENULLO
+#define SQLESMSG	SYBESMSG
+#define SQLEBTOK	SYBEBTOK
+#define SQLENSPE	SYBENSPE
+#define SQLEREAD	SYBEREAD
+#define SQLECNOR	SYBECNOR
+#define SQLETSIT	SYBETSIT
+#define SQLEPARM	SYBEPARM
+#define SQLEAUTN	SYBEAUTN
+#define SQLECOFL	SYBECOFL
+#define SQLERDCN	SYBERDCN
+#define SQLEICN		SYBEICN
+#define SQLECLOS	SYBECLOS
+#define SQLENTXT	SYBENTXT
+#define SQLEDNTI	SYBEDNTI
+#define SQLETMTD	SYBETMTD
+#define SQLEASEC	SYBEASEC
+#define SQLENTLL	SYBENTLL
+#define SQLETIME	SYBETIME
+#define SQLEWRIT	SYBEWRIT
+#define SQLEMODE	SYBEMODE
+#define SQLEOOB		SYBEOOB
+#define SQLEITIM	SYBEITIM
+#define SQLEDBPS	SYBEDBPS
+#define SQLEIOPT	SYBEIOPT
+#define SQLEASNL	SYBEASNL
+#define SQLEASUL	SYBEASUL
+#define SQLENPRM	SYBENPRM
+#define SQLEDBOP	SYBEDBOP
+#define SQLENSIP	SYBENSIP
+#define SQLECNULL	SYBECNULL
+#define SQLESEOF	SYBESEOF
+#define SQLERPND	SYBERPND
+#define SQLECSYN	SYBECSYN
+#define SQLENONET	SYBENONET
+#define SQLEBTYP	SYBEBTYP
+#define SQLEABNC	SYBEABNC
+#define SQLEABMT	SYBEABMT
+#define SQLEABNP	SYBEABNP
+#define SQLEBNCR	SYBEBNCR
+#define SQLEAAMT	SYBEAAMT
+#define SQLENXID	SYBENXID
+#define SQLEIFNB	SYBEIFNB
+#define SQLEKBCO	SYBEKBCO
+#define SQLEBBCI	SYBEBBCI
+#define SQLEKBCI	SYBEKBCI
+#define SQLEBCWE	SYBEBCWE
+#define SQLEBCNN	SYBEBCNN
+#define SQLEBCOR	SYBEBCOR
+#define SQLEBCPI	SYBEBCPI
+#define SQLEBCPN	SYBEBCPN
+#define SQLEBCPB	SYBEBCPB
+#define SQLEVDPT	SYBEVDPT
+#define SQLEBIVI	SYBEBIVI
+#define SQLEBCBC	SYBEBCBC
+#define SQLEBCFO	SYBEBCFO
+#define SQLEBCVH	SYBEBCVH
+#define SQLEBCUO	SYBEBCUO
+#define SQLEBUOE	SYBEBUOE
+#define SQLEBWEF	SYBEBWEF
+#define SQLEBTMT	SYBEBTMT
+#define SQLEBEOF	SYBEBEOF
+#define SQLEBCSI	SYBEBCSI
+#define SQLEPNUL	SYBEPNUL
+#define SQLEBSKERR	SYBEBSKERR
+#define SQLEBDIO	SYBEBDIO
+#define SQLEBCNT	SYBEBCNT
+#define SQLEMDBP	SYBEMDBP
+#define SQLINIT		SYBINIT
+#define SQLCRSINV	SYBCRSINV
+#define SQLCRSCMD	SYBCRSCMD
+#define SQLCRSNOIND	SYBCRSNOIND
+#define SQLCRSDIS	SYBCRSDIS
+#define SQLCRSAGR	SYBCRSAGR
+#define SQLCRSORD	SYBCRSORD
+#define SQLCRSMEM	SYBCRSMEM
+#define SQLCRSBSKEY	SYBCRSBSKEY
+#define SQLCRSNORES	SYBCRSNORES
+#define SQLCRSVIEW	SYBCRSVIEW
+#define SQLCRSBUFR	SYBCRSBUFR
+#define SQLCRSFROWN	SYBCRSFROWN
+#define SQLCRSBROL	SYBCRSBROL
+#define SQLCRSFRAND	SYBCRSFRAND
+#define SQLCRSFLAST	SYBCRSFLAST
+#define SQLCRSRO	SYBCRSRO
+#define SQLCRSTAB	SYBCRSTAB
+#define SQLCRSUPDTAB	SYBCRSUPDTAB
+#define SQLCRSUPDNB	SYBCRSUPDNB
+#define SQLCRSVIIND	SYBCRSVIIND
+#define SQLCRSNOUPD	SYBCRSNOUPD
+#define SQLCRSOS	SYBCRSOS
+#define SQLEBCSA	SYBEBCSA
+#define SQLEBCRO	SYBEBCRO
+#define SQLEBCNE	SYBEBCNE
+#define SQLEBCSK	SYBEBCSK
+#define SQLEUVBF	SYBEUVBF
+#define SQLEBIHC	SYBEBIHC
+#define SQLEBWFF	SYBEBWFF
+#define SQLNUMVAL	SYBNUMVAL
+#define SQLEOLDVR	SYBEOLDVR
+#define SQLEBCPS	SYBEBCPS
+#define SQLEDTC		SYBEDTC
+#define SQLENOTIMPL	SYBENOTIMPL
+#define SQLENONFLOAT	SYBENONFLOAT
+#define SQLECONNFB	SYBECONNFB
+
+
 #define dbfreelogin(x) dbloginfree((x))
 
 #define dbprocerrhandle(p, h) dberrhandle((h))
@@ -59,7 +173,7 @@
 
 #define dbwinexit()
 
-static const char rcsid_sqldb_h[] = "$Id: sqldb.h,v 1.5 2009/01/16 20:27:56 jklowden Exp $";
+static const char rcsid_sqldb_h[] = "$Id: sqldb.h,v 1.6 2009/12/02 22:35:18 jklowden Exp $";
 static const void *const no_unused_sqldb_h_warn[] = { rcsid_sqldb_h, no_unused_sqldb_h_warn };
 
 

